﻿using System.Collections;
using System.Collections.Generic;
using Pippin.Enemy;
using UnityEngine;

namespace Pippin.Player
{
    public class PlayerAreaAtaque : MonoBehaviour
    {
        void OnTriggerEnter2D(Collider2D collision)
        {
            if(collision.CompareTag("Enemy"))
            {
                PlayerController.Instance.ataque._enemys.Add(collision.gameObject.GetComponent<EnemyController>());
            }
        }

        void OnTriggerStay2D(Collider2D collision)
        {
            if (collision.CompareTag("Enemy"))
            {
                if(!PlayerController.Instance.ataque._enemys.Contains(collision.gameObject.GetComponent<EnemyController>()))
                    PlayerController.Instance.ataque._enemys.Add(collision.gameObject.GetComponent<EnemyController>());
            }
        }

        void OnTriggerExit2D(Collider2D collision)
        {
            if (collision.CompareTag("Enemy"))
            {
                PlayerController.Instance.ataque._enemys.Remove(collision.gameObject.GetComponent<EnemyController>());
            }
        }
    }
}
