﻿using System.Collections;
using System.Collections.Generic;
using Pippin.Enemy;
using Pippin.Player;
using UnityEngine;

public class CairBuraco : MonoBehaviour
{
    public float tempoParamatar;

    void OnTriggerEnter2D(Collider2D collision)
    {
        if(collision.CompareTag("Player"))
        {
            collision.GetComponent<PlayerController>().caracteristica.LevarDano(1000, false, (DirecaoEnemy)PlayerController.Instance.animacao.Direcao);
            StartCoroutine(Matar(
                () => {
                    collision.GetComponent<SpriteRenderer>().enabled = false;
                    collision.GetComponent<BoxCollider2D>().enabled = false;
                }
            ));
        }
        else if(collision.CompareTag("Enemy"))
        {
            collision.GetComponent<EnemyController>()._caractesristicas.LevarDano(1000, (DirecaoPlayer)collision.GetComponent<EnemyController>()._animacoes.Direcao);
            StartCoroutine(Matar(
                () => {
                    collision.GetComponent<SpriteRenderer>().enabled = false;
                    collision.GetComponent<BoxCollider2D>().enabled = false;
                }
            ));
        }
    }

    IEnumerator Matar(System.Action callback)
    {
        yield return new WaitForSeconds(tempoParamatar);
        callback();
    }

}
