﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace Pippin.Enemy
{
    public class EnemyAreaAtaque : MonoBehaviour
    {
        [HideInInspector]
        public AtaqueEnemy ataque;

        void OnTriggerEnter2D(Collider2D collision)
        {
            if(collision.CompareTag("Player"))
            {
                ataque.PlayerAreaAtaque = true;
            }
        }

        void OnTriggerExit2D(Collider2D collision)
        {
            if (collision.CompareTag("Player"))
            {
                ataque.PlayerAreaAtaque = false;
            }
        }

    }
}
